/* --------------------------------------------------------------------
Copyright (C) 2009-2013 Swedish Meteorological and Hydrological Institute, SMHI,

This file is part of the Beast library.

Beast library is free software: you can redistribute it and/or modify
it under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Beast library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with the Beast library library.  If not, see <http://www.gnu.org/licenses/>.
------------------------------------------------------------------------*/

package eu.baltrad.beast.system;

import java.util.Map;
import java.util.Set;

/**
 * @author Anders Henja
 *
 */
public interface ISystemStatusReporter {
  /**
   * @return the identifying name of this reporter
   */
  public String getName();
  
  /**
   * @return the names of the supported attributes in the getStatus method call
   */
  public Set<String> getSupportedAttributes();
  
  /**
   * @param values attribute values used for knowing what to query status for. Object might
   * be quite a lot of different types of data so verify type before accessing data. 
   * @return the status of this component
   */
  public Set<SystemStatus> getStatus(Map<String,Object> values);
}
